﻿@using SonicHRM.DomainLogics
@using SonicHRM.Helpers
@model SonicHRM.Models.ApplicationModels.Designation
@inject DesignationLogics DesignationLogics
@inject SalaryLogics SalaryLogics

@{
    ViewData["Title"] = "Designation Setup";
    var salaries = SalaryLogics.GetAllSalaryInfo();
    var designations = DesignationLogics.GetAllDesignations();
}

<section class="content">
    <div class="row">
        @{
            if ((ViewAlertParam)ViewData["Alert"] != null)
            {
                await Html.RenderPartialAsync("_AlertPartial", (ViewAlertParam)ViewData["Alert"]);
            }
        }
        <!-- left column -->
        <div class="col-xs-12">
            <!-- general form elements -->
            <div class="box box-primary">
                <div class="box-header">
                    <h3 class="box-title">Designation Details</h3>
                </div><!-- /.box-header -->
                <!-- form start -->
                <form asp-action="DesignationSetup">
                    <div class="box-body">
                        <div asp-validation-summary="ModelOnly" class="text-danger"></div>
                        <div class="form-group">
                            <label asp-for="DesignationName" class="control-label"></label>
                            <input asp-for="DesignationName" class="form-control" />
                            <span asp-validation-for="DesignationName" class="text-danger"></span>
                        </div>
                        <div class="form-group">
                            <label asp-for="SalaryInfoId" class="control-label"></label>
                            <select asp-for="SalaryInfoId" class="form-control">
                                <option value="">Select Salary Information</option>
                                @foreach (var salary in salaries)
                                {
                                    <option value="@salary.Id">@salary.SalaryTitle</option>
                                }
                            </select>
                            <span asp-validation-for="SalaryInfoId" class="text-danger"></span>
                        </div>
                        <div class="form-group">
                            <input type="submit" value="Create" class="btn btn-default" />
                        </div>
                    </div>
                </form>
            </div><!-- /.box -->
        </div>
    </div>
    <div class="row">
        <div class="col-xs-12">
            <div class="box">
                <div class="box-header">
                    <h3 class="box-title">Current Salary Informations</h3>
                </div><!-- /.box-header -->
                <div class="box-body">
                    <table id="example1" class="table table-bordered table-striped">
                        <thead>
                            <tr>
                                <th>@Html.DisplayNameFor(model => model.DesignationName)</th>
                                <th>@Html.DisplayNameFor(model => model.SalaryInfo.SalaryTitle)</th>
                                <th>@Html.DisplayNameFor(model => model.Employees.Count)</th>
                                <th>Action</th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach (var designation in designations)
                            {
                                <tr>
                                    <td>@Html.DisplayFor(modelItem => designation.DesignationName)</td>
                                    <td>@Html.DisplayFor(modelItem => designation.SalaryInfo.SalaryTitle)</td>
                                    <td>@Html.DisplayFor(modelItem => designation.Employees.Count)</td>
                                    <td>
                                        @*@Html.ActionLink("Edit", "Edit", new { id = employee.Id }) |
                                            @Html.ActionLink("Details", "Details", new { id = employee.Id }) |
                                            @Html.ActionLink("Delete", "Delete", new { id = employee.Id })*@
                                    </td>
                                </tr>
                            }
                        </tbody>
                        <tfoot>
                            <tr>
                                <th>@Html.DisplayNameFor(model => model.DesignationName)</th>
                                <th>@Html.DisplayNameFor(model => model.SalaryInfo.SalaryTitle)</th>
                                <th>@Html.DisplayNameFor(model => model.Employees.Count)</th>
                                <th>Action</th>
                            </tr>
                        </tfoot>
                    </table>
                </div><!-- /.box-body -->
            </div><!-- /.box -->
        </div>
    </div>
</section>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}

    <script type="text/javascript">

    </script>
}
